Create Subdomain
curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/taxonomy/subdomains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"domain_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"subdomain_name": "Research"
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/taxonomy/subdomains"
payload = {
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"domain_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"subdomain_name": "Research"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: 'a3903505-eb84-42dc-a79f-5e7b1fe897b7',
domain_id: 'a3903505-eb84-42dc-a79f-5e7b1fe897b7',
subdomain_name: 'Research'
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/taxonomy/subdomains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
][
{
"title": "409 Conflict",
"description": "The resource already exists."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Subdomains
Create Subdomain
Create a new Subdomain in the system that is linked to a Domain.
Create Subdomain
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Default structure for a Subdomain.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Required string length:
1 - 100Pattern:
[a-zA-Z0-9_-]+Example:
"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
The unique ID of a Domain to which this Subdomain is linked, consisting of alphanumeric characters, hyphens and underscores.
Required string length:
1 - 100Pattern:
[a-zA-Z0-9_-]+Example:
"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Name of the Subdomain.
Required string length:
1 - 255Example:
"Research"
Response
No Content
Was this page helpful?
⌘I